<template>
  <PageLayout title="立即申请" class="applyAgent-page-wrapper" hasBgColor :needAuth="false">
    <ContentScrollView hasPaddingTop style="background-color: transparent">
      <ApplyAgentView @submit="submit" ref="applyAgentViewRef" />
    </ContentScrollView>
    <PageFooter>
      <PageFooterBtn type="primary" @click="handleSubmit">立即提交</PageFooterBtn>
    </PageFooter>
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout } from '@/components';
import { RouterPath } from '@/constants';
import { ApplyAgentView } from '@life-payment/components';
import { goBack } from '@/utils';
import type { ComponentExposed } from 'vue-component-type-helpers';

defineOptions({
  name: 'applyAgent',
});

const applyAgentViewRef =
  useTemplateRef<ComponentExposed<typeof ApplyAgentView>>('applyAgentViewRef');

function handleSubmit() {
  applyAgentViewRef.value?.handleSubmit?.();
}

function submit() {
  RouteHelper.navigateTo({
    url: RouterPath.applyResult,
  });
}
</script>
